from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, Boolean, File

Vdb_Copy_2_V0_1_0 = CommandToolBuilder(tool="vdb_copy.2", base_command=["vdb-copy.2"], inputs=[ToolInput(tag="in_table", input_type=String(optional=True), prefix="--table", doc=InputDocumentation(doc="table-name")), ToolInput(tag="in_rows", input_type=String(optional=True), prefix="--rows", doc=InputDocumentation(doc="set of rows to be copied(default all)")), ToolInput(tag="in_schema", input_type=String(optional=True), prefix="--schema", doc=InputDocumentation(doc="schema-name")), ToolInput(tag="in_without_accession", input_type=Boolean(optional=True), prefix="--without_accession", doc=InputDocumentation(doc="without accession-test")), ToolInput(tag="in_ignore_reject", input_type=Boolean(optional=True), prefix="--ignore_reject", doc=InputDocumentation(doc="ignore SRA_FILTER_REJECT values")), ToolInput(tag="in_ignore_redact", input_type=Boolean(optional=True), prefix="--ignore_redact", doc=InputDocumentation(doc="ignore SRA_FILTER_REDACTED values")), ToolInput(tag="in_kfg_path", input_type=Boolean(optional=True), prefix="--kfg_path", doc=InputDocumentation(doc="use this path to find the file vdb-copy.kfg")), ToolInput(tag="in_show_matching", input_type=Boolean(optional=True), prefix="--show_matching", doc=InputDocumentation(doc="show type-matching results")), ToolInput(tag="in_show_progress", input_type=Boolean(optional=True), prefix="--show_progress", doc=InputDocumentation(doc="show progress in percent while copying")), ToolInput(tag="in_ignore_incompatible_columns", input_type=String(optional=True), prefix="--ignore_incompatible_columns", doc=InputDocumentation(doc="incompatible columns")), ToolInput(tag="in_re_index", input_type=Boolean(optional=True), prefix="--reindex", doc=InputDocumentation(doc="reindex columns after copy")), ToolInput(tag="in_show_redact", input_type=Boolean(optional=True), prefix="--show_redact", doc=InputDocumentation(doc="show redaction-process")), ToolInput(tag="in_exclude_columns", input_type=Boolean(optional=True), prefix="--exclude_columns", doc=InputDocumentation(doc="exclude these columns from copy")), ToolInput(tag="in_show_meta", input_type=Boolean(optional=True), prefix="--show_meta", doc=InputDocumentation(doc="show metadata-copy-process")), ToolInput(tag="in_force", input_type=Boolean(optional=True), prefix="--force", doc=InputDocumentation(doc="forces an existing target to be overwritten")), ToolInput(tag="in_unlock", input_type=Boolean(optional=True), prefix="--unlock", doc=InputDocumentation(doc="forces locked target to be unlocked")), ToolInput(tag="in_md_five_mode", input_type=Boolean(optional=True), prefix="--md5mode", doc=InputDocumentation(doc="MD5-mode def.: auto, '1'...forced ON,\n'0'...forced OFF)")), ToolInput(tag="in_blob_checksum", input_type=Boolean(optional=True), prefix="--blob_checksum", doc=InputDocumentation(doc="Blob-checksum def.: auto, '1'...CRC32,\n'M'...MD5, '0'...OFF)")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="Increase the verbosity of the program\nstatus messages. Use multiple times for more\nverbosity. Negates quiet.")), ToolInput(tag="in_quiet", input_type=Boolean(optional=True), prefix="--quiet", doc=InputDocumentation(doc="Turn off all status messages for the\nprogram. Negated by verbose.")), ToolInput(tag="in_option_file", input_type=File(optional=True), prefix="--option-file", doc=InputDocumentation(doc="Read more options and parameters from the")), ToolInput(tag="in_quit_dot", input_type=String(), position=0, doc=InputDocumentation(doc="-L|--log-level <level>           Logging level as number or enum string. One ")), ToolInput(tag="in_file_dot", input_type=File(), position=0, doc=InputDocumentation(doc="vdb-copy.2 : 2.10.8"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Vdb_Copy_2_V0_1_0().translate("wdl", allow_empty_container=True)

